#[derive(Debug)]
pub struct PacketData {
    data: Vec<u8>,
}

impl PacketData {
    pub fn new(data: Vec<u8>) -> PacketData {
        PacketData { data }
    }

    pub fn len(&self) -> usize {
        self.data.len()
    }

    pub fn get_data(&self) -> Vec<u8> {
        self.data.clone()
    }
}

impl Default for PacketData {
    fn default() -> Self {
        PacketData { data: vec![] }
    }
}
